Bug 1011864 - [fork][origin_ui_88]Should give a correct prompt when delete domain with non-owner member
[fork][origin_ui_88]Should give a correct prompt when delete domain with non-...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-25 05:24 EDT by Wei Sun
Modified: 2015-05-14 22:25 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-17 09:31:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2013-09-25 05:24:39 EDT
Description of problem:
Create a domain which doesn't have any app,and add edit/view/admin role member .Try to delete this domain with edit/view/admin role member,could not delete domain successfully,but prompt "Your domain contains applications. Delete applications first"

Version-Release number of selected component (if applicable):
fork_ami_origin_ui_72_membership_845
rhc 1.15.0 build from fork_ami_origin_ui_72_membership_845

How reproducible:
Always

Steps to Reproduce:
1.Create a domain which doesn't have any app
2.Add edit/view/admin role member to this domain
3.Try to delete this domain with edit/view/admin role member

Actual results:
1.Domain info
OpenShift:~ openshift$ rhc domain show -n wsunmemfor845
Domain wsunmemfor845 (owned by wsun+member@redhat.com)
------------------------------------------------------
  Created:            4:55 PM
  Allowed Gear Sizes: small
  Members:            wsun@redhat.com (admin), wsun+member1@redhat.com (edit), wsun+member2@redhat.com (view)
The domain wsunmemfor845 exists but has no applications. You can use 'rhc create-app' to create a new application.

2.OpenShift:~ openshift$ rhc domain-delete wsunmemfor845 -l  wsun+member1@redhat.com
Password: ******
Deleting domain 'wsunmemfor845' ... Your domain contains applications. Delete applications first.

OpenShift:~ openshift$ rhc domain-delete wsunmemfor845 -l  wsun+member2@redhat.com
Password: ******
Deleting domain 'wsunmemfor845' ... Your domain contains applications. Delete applications first.

OpenShift:~ openshift$ rhc domain-delete wsunmemfor845 -l  wsun@redhat.com
Password: ******
Deleting domain 'wsunmemfor845' ... Your domain contains applications. Delete applications first.


Expected results:
Should prompt "You are not permitted to perform this action "

Additional info:
Comment 1 Clayton Coleman 2013-09-25 15:27:32 EDT
Fixed in a1a3026 in membership branch
Comment 2 Wei Sun 2013-09-25 23:00:07 EDT
Verified on fork_ami_origin_ui_72_membership_863

Delete domain with admin/edit/view role member,will prompt "You are not permitted to perform this action (destroy on domain)"

Result:
[wsun@dhcp-8-229 ~]$ rhc domain show -n wsunfork863
Domain wsunfork863 (owned by wsun+member@redhat.com)
----------------------------------------------------
  Created:            10:54 AM
  Allowed Gear Sizes: small
  Members:            wsun@redhat.com (admin), wsun+mem1@redhat.com (edit), wsun+1@redhat.com (view)

The domain wsunfork863 exists but has no applications. You can use 'rhc create-app' to create a new application.
[wsun@dhcp-8-229 ~]$ rhc domain-delete wsunfork863 -l wsun@redhat.com -p redhat
Deleting domain 'wsunfork863' ... You are not permitted to perform this action (destroy on domain)
[wsun@dhcp-8-229 ~]$ rhc domain-delete wsunfork863 -l wsun+mem1@redhat.com -p redhat
Deleting domain 'wsunfork863' ... You are not permitted to perform this action (destroy on domain)
[wsun@dhcp-8-229 ~]$ rhc domain-delete wsunfork863 -l wsun+1@redhat.com -p redhat
Deleting domain 'wsunfork863' ... You are not permitted to perform this action (destroy on domain)
Comment 3 Wei Sun 2013-09-25 23:16:45 EDT
rhc build from  fork_ami_origin_ui_72_membership_863

Note You need to log in before you can comment on or make changes to this bug.